## org.eclipse.emf.cdo.server
Interface ISessionManager

All Superinterfaces:
  org.eclipse.net4j.util.container.IContainer<ISession>, org.eclipse.net4j.util.event.INotifier

    public interface ISessionManager

extends org.eclipse.net4j.util.container.IContainer<ISession>

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer
`org.eclipse.net4j.util.container.IContainer.Modifiable<E>`

Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier
`org.eclipse.net4j.util.event.INotifier.Introspection`

Method Summary
`IRepository` `getRepository()`
`ISession` `getSession(int sessionID)`
`ISession[]` `getSessions()`
`ISession` `openSession(org.eclipse.emf.cdo.internal.server.protocol.CDOServerProtocol protocol)`
`void` `setRepository(IRepository repository)` Internal.

Methods inherited from interface org.eclipse.net4j.util.container.IContainer
`getElements, isEmpty`

Methods inherited from interface org.eclipse.net4j.util.event.INotifier
`addListener, removeListener`

Method Detail

### getRepository

    IRepository getRepository()

  Since:
    2.0

### setRepository

    void setRepository(IRepository repository)

  Internal.

  Since:
    2.0

### getSessions

    ISession[] getSessions()

### getSession

    ISession getSession(int sessionID)

  Since:
    2.0

### openSession

    ISession openSession(org.eclipse.emf.cdo.internal.server.protocol.CDOServerProtocol protocol)
                         throws SessionCreationException

  Returns:
    Never `null`
  Throws:
    `SessionCreationException`
  Since:
    2.0

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.